Package com.sas.lsaf.workflow.task

## Class CompletedNotificationTask

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.workflow.element.CompletedElement
    - - com.sas.lsaf.workflow.task.CompletedTask
      - - com.sas.lsaf.workflow.task.CompletedNotificationTask

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`

      public class CompletedNotificationTask
      extends CompletedTask

  The class that represents a completed notification task in a process flow.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sas.lsaf.workflow.element.CompletedElement

      `CompletedElement.TaskCompletedState`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CompletedNotificationTask​(java.lang.String typeId, java.lang.String id, java.lang.String elementId, java.lang.String processFlowId, java.lang.String name, java.lang.String description, Element.ElementType type, java.util.Date created, java.util.List<Attribute> attributes, java.lang.String completedBy, java.util.Date completed, java.lang.String completedStatus, CompletedElement.TaskCompletedState completedState, java.util.Set<Principal> recipients, java.lang.String subject, NotificationTaskSetup.MessagePriority priority, java.lang.String message)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCompletedStatus()` | Gets the completion status of the task.
    `java.lang.String` | `getMessage()` | Gets the message of the notification task.
    `NotificationTaskSetup.MessagePriority` | `getPriority()` | Gets the message priority of the notification task.
    `java.util.Set<Principal>` | `getRecipients()` | Gets the recipients of the notification task.
    `java.lang.String` | `getSubject()` | Gets the subject of the notification task.

    - ### Methods inherited from class com.sas.lsaf.workflow.task.CompletedTask

      `getAttributes`

    - ### Methods inherited from class com.sas.lsaf.workflow.element.CompletedElement

      `getCompleted, getCompletedBy, getCompletedState, getCreated, getDescription, getElementId, getName, getProcessFlowId, getType, toString`

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `equals, getId, getTypeId, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CompletedNotificationTask

          public CompletedNotificationTask​(java.lang.String typeId,
                                           java.lang.String id,
                                           java.lang.String elementId,
                                           java.lang.String processFlowId,
                                           java.lang.String name,
                                           java.lang.String description,
                                           Element.ElementType type,
                                           java.util.Date created,
                                           java.util.List<Attribute> attributes,
                                           java.lang.String completedBy,
                                           java.util.Date completed,
                                           java.lang.String completedStatus,
                                           CompletedElement.TaskCompletedState completedState,
                                           java.util.Set<Principal> recipients,
                                           java.lang.String subject,
                                           NotificationTaskSetup.MessagePriority priority,
                                           java.lang.String message)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the completed tasks returned by the API.
      Parameters:
        `typeId` - The object type identifier of the task.
        `id` - The unique identifier of the task.
        `elementId` - The identifier of the task as it appears in the process flow definition.
        `processFlowId` - The identifier of the process flow that contains the element.
        `name` - The name of the task.
        `description` - The description of the task.
        `type` - The type of the task.
        `created` - The date on which the task was created.
        `attributes` - The extended attributes of the task.
        `completedBy` - The user who completed the task.
        `completed` - The date on which the task was completed.
        `completedStatus` - The completion status of the task.
        `completedState` - The completed state of the task.
        `recipients` - The recipients of the notification.
        `subject` - The subject of the notification.
        `priority` - The priority of the notification.
        `message` - The message text of the notification.

  - ### Method Detail

    - #### getCompletedStatus

          public java.lang.String getCompletedStatus()

      Gets the completion status of the task.
      Returns:
        The completion status.

    - #### getRecipients

          public java.util.Set<Principal> getRecipients()

      Gets the recipients of the notification task.
      Returns:
        The recipients.

    - #### getSubject

          public java.lang.String getSubject()

      Gets the subject of the notification task.
      Returns:
        The subject of the notification task.

    - #### getMessage

          public java.lang.String getMessage()

      Gets the message of the notification task.
      Returns:
        The message.

    - #### getPriority

          public NotificationTaskSetup.MessagePriority getPriority()

      Gets the message priority of the notification task.
      Returns:
        The message priority.